Bug 807074 - [abrt] soundconverter-1.5.4-13.fc16: soundconverter:1270:init:KeyError: 'audio'
[abrt] soundconverter-1.5.4-13.fc16: soundconverter:1270:init:KeyError: 'audio'
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: soundconverter (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael Schwendt
Fedora Extras Quality Assurance
abrt_hash:5048cf1ed30ca764f23116fce56...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 19:33 EDT by JDP803
Modified: 2013-02-13 21:05 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 11:14:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description JDP803 2012-03-26 19:33:36 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python -tt /usr/bin/soundconverter -db -m audio -s .mp3 '01 Courageous.m4a'
executable:     /usr/bin/soundconverter
kernel:         3.2.5-3.fc16.x86_64
reason:         soundconverter:1270:init:KeyError: 'audio'
time:           Mon 19 Mar 2012 09:47:39 PM CDT
uid:            1000
username:       jason

backtrace:
:soundconverter:1270:init:KeyError: 'audio'
:
:Traceback (most recent call last):
:  File "/usr/bin/soundconverter", line 2999, in <module>
:    main(args)
:  File "/usr/bin/soundconverter", line 2995, in main
:    cli_convert_main(args)
:  File "/usr/bin/soundconverter", line 2960, in cli_convert_main
:    c.init()
:  File "/usr/bin/soundconverter", line 1270, in init
:    encoder = self.encoders[self.output_type]()
:KeyError: 'audio'
:
:Local variables in innermost frame:
:self: <__main__.Converter instance at 0x219d7e8>

smolt_data:
:
:
:General
:=================================
:UUID: 913d4037-ddbb-45ce-8bdd-4df4e3268527
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 6783.34
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2600 CPU @ 3.40GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 3401
:System Memory: 7897
:System Swap: 9951
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.2.5-3.fc16.x86_64
:SELinux Enabled: 0
:SELinux Policy: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4147:404:32902:8195) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(4332:33081:4332:33081) pci, 8139too, ETHERNET, RTL-8139/8139C/8139C+
:(32902:258:32902:8195) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:32902:8195) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:32902:8195) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7242:32902:8195) pci, None, PCI/ISA, H67 Express Chipset Family LPC Controller
:(4739:34962:32902:8195) pci, None, PCI/PCI, N/A
:(32902:7200:32902:8195) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5379:32902:8195) pci, e1000e, ETHERNET, 82579V Gigabit Network Connection
:(32902:7202:32902:8195) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:10274:32902:8195) pci, ahci, RAID, 82801 SATA RAID Controller
:(32902:7213:32902:8195) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:32902:8195) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:256:32902:8195) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:32902:8195) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_aj-lv_root / ext4 4096 4096 13081819 10349865 9694505 3276800 3107675 3107675
:/dev/mapper/vg_aj-lv_home /home ext4 4096 4096 1306837 1208844 1143308 327680 325577 325577
:/dev/md126 WITHHELD ext4 4096 4096 121965318 65375279 59270486 30531584 30500457 30500457
:/dev/mapper/vg_aj-lv_storage WITHHELD ext4 4096 4096 104881702 74737192 69487349 26255360 26224582 26224582
:
Comment 1 Michael Schwendt 2012-03-27 03:54:04 EDT
"-m audio" is no valid MIME type and hence a user error. Would you mind reporting this at  https://bugs.launchpad.net/soundconverter  after checking whether it is reproducible with latest upstream code?
Comment 2 Michael Schwendt 2012-04-25 06:43:39 EDT
Currently cannot be tested in 2.0.x, because there a couple of command-line options seem to be broken: https://bugs.launchpad.net/soundconverter/+bug/988262
Comment 3 Fedora End Of Life 2013-02-13 21:05:30 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.